Name: qlandkartegt
Version: 1.8.1
Release: %mkrel 5
Summary: GPS device mapping tool
Group: File tools
License: GPLv2+
URL: http://www.qlandkarte.org/
Source0: https://bitbucket.org/kiozen/qlandkarte-gt/downloads/%{name}-%{version}.tar.gz
# <GL/glu.h> not included by qt >= 4.8
Patch0: %{name}-1.3.0-fedora-glu.patch
Recommends: garmindev(interface) = 1.18
Recommends: gdal
Requires: gpsbabel

BuildRequires: cmake
BuildRequires: qt4-devel
# Versions of qt4 older than 4.8 pulled in libGLU
BuildRequires: mesaglu-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: desktop-file-utils
BuildRequires: libexif-devel
BuildRequires: libdmtx-devel
BuildRequires: gpsd-devel
BuildRequires: qt4-devel
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: postgresql-devel


%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.


%prep
%setup -q
%autopatch -p1

# create build direcotory
# mkdir build


%build
# cd build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DGPX_EXTENSIONS=ON 
%make VERBOSE=1 


%install
cd build
%make_install

# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc copying changelog.txt
%{_bindir}/%{name}
%{_bindir}/map2gcm
%{_bindir}/map2jnx
%{_bindir}/map2rmp
%{_bindir}/cache2gtiff
%{_bindir}/map2rmap
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*




%changelog
* Fri May 20 2016 eatdirt <eatdirt> 1.8.1-5.mga6
+ Revision: 1017147
- Rebuild for new libproj

  + tv <tv>
    - rebuild for new libproj

* Sun Jan 10 2016 wally <wally> 1.8.1-3.mga6
+ Revision: 920929
- rebuild for new gdal

* Mon Dec 28 2015 tv <tv> 1.8.1-2.mga6
+ Revision: 916466
- rebuild for new libgps

* Fri Sep 04 2015 zezinho <zezinho> 1.8.1-1.mga6
+ Revision: 872821
- new version 1.8.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.7-3.mga5
+ Revision: 741680
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.7-2.mga5
+ Revision: 688492
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Jul 14 2014 zezinho <zezinho> 1.7.7-1.mga5
+ Revision: 652147
- new version 1.7.7

* Tue May 20 2014 luigiwalser <luigiwalser> 1.7.6-2.mga5
+ Revision: 623994
- rebuild for gpsd

* Mon Mar 31 2014 zezinho <zezinho> 1.7.6-1.mga5
+ Revision: 610980
- silent : try to remove postgres version to build in current cauldron
- new version 1.7.6

* Thu Dec 12 2013 zezinho <zezinho> 1.7.5-1.mga4
+ Revision: 556500
- new version 1.7.5

* Sat Oct 19 2013 umeabot <umeabot> 1.7.4-2.mga4
+ Revision: 535072
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 zezinho <zezinho> 1.7.4-1.mga4
+ Revision: 480948
- new bugfix version 1.7.4

* Sat Sep 07 2013 zezinho <zezinho> 1.7.3-1.mga4
+ Revision: 475724
- new version 1.7.3

* Wed Jul 24 2013 zezinho <zezinho> 1.7.1-1.mga4
+ Revision: 457642
- new version

* Sun Jan 13 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 379837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 1.6.0-1.mga3
+ Revision: 335644
- force build with postgres 9.1 as it is MGA3 default
- new version

* Tue Sep 04 2012 zezinho <zezinho> 1.5.1-1.mga3
+ Revision: 288160
- new version

* Sat Jun 09 2012 zezinho <zezinho> 1.4.2-1.mga3
+ Revision: 258925
- new version

* Thu Mar 01 2012 zezinho <zezinho> 1.4.0-1.mga2
+ Revision: 216597
- new version

* Tue Jan 10 2012 zezinho <zezinho> 1.3.2-1.mga2
+ Revision: 194749
- new version

* Mon Jan 02 2012 fwang <fwang> 1.3.1-3.mga2
+ Revision: 189655
- br qtwebkit
- rebuild for new gps

* Thu Dec 08 2011 zezinho <zezinho> 1.3.1-2.mga2
+ Revision: 179335
- suggests only garmindev and added gdal

* Thu Dec 08 2011 zezinho <zezinho> 1.3.1-1.mga2
+ Revision: 178978
- import fedora spec
- imported package qlandkartegt

